Bug 239972 - textproc/elasticsearch6: Update to 6.8.3
Summary: textproc/elasticsearch6: Update to 6.8.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-19 17:30 UTC by Greg Lewis
Modified: 2019-10-05 00:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
Patch up update to 6.8.2 (4.14 KB, patch)
2019-08-19 17:31 UTC, Greg Lewis
no flags Details | Diff
Patch to update to 6.8.3 (5.50 KB, patch)
2019-09-19 18:11 UTC, Greg Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Lewis freebsd_committer 2019-08-19 17:30:05 UTC
Update to ElasticSearch 6.8.2

This version provides support for newer OpenJDK versions.  I've run it lightly with OpenJDK 11.

Note that testing has been very light.  Feedback definitely appreciated on how to improve that.
Comment 1 Greg Lewis freebsd_committer 2019-08-19 17:31:39 UTC
Created attachment 206705 [details]
Patch up update to 6.8.2

The actual patch I meant to include in the first place
Comment 2 Dani 2019-09-02 08:36:48 UTC
Hey Greg, are you planning to provide a patch to upgrade textproc/kibana6 to 6.8.2 too? Since these ports all depend on eachother they should be upgraded by the same time. Thanks for your work!
Comment 3 Greg Lewis freebsd_committer 2019-09-05 23:05:55 UTC
I haven't got a patch to do so at the moment.

I'll attempt to put something together, although I'm even less sure how to test Kibana than I am on how to test ElasticSearch :)
Comment 4 Dani 2019-09-18 12:30:07 UTC
(In reply to Greg Lewis from comment #3)

Hey Greg, that would be cool. As soon as we have a patch for the complete ELK Stack i can help you with testing for these 3 ports. Looking forward to it. Thanks.
Comment 5 Greg Lewis freebsd_committer 2019-09-19 18:09:27 UTC
Working on a patch for Kibana.  Once I have one I'll create a separate PR and link it to this one.
Comment 6 Greg Lewis freebsd_committer 2019-09-19 18:11:55 UTC
Created attachment 207632 [details]
Patch to update to 6.8.3

Updated the patch with the following:

* Update to 6.8.3
* Include configuration to select the version of Java to use
Comment 7 Greg Lewis freebsd_committer 2019-09-19 19:11:34 UTC
Kibana 6.8.3 update: #240694
Logstahs 6.8.3 update: #240000

Together this should be a complete ELK stack update

Is anyone working on a port for 7.x?
Comment 8 Matt Simerson 2019-09-22 18:37:34 UTC
I have tested your 6.8.3 patches for ES and Kibana with success (after backing out my own changes I had made to get 6.8.3 installed). Thanks for doing this.
Comment 9 Greg Lewis freebsd_committer 2019-09-30 19:58:21 UTC
Mark, any feedback on this as maintainer?
Comment 10 commit-hook freebsd_committer 2019-10-05 00:09:53 UTC
A commit references this bug:

Author: glewis
Date: Sat Oct  5 00:09:18 UTC 2019
New revision: 513796
URL: https://svnweb.freebsd.org/changeset/ports/513796

Log:
  Update to 6.8.3

  * Update to 6.8.3, which allows the use of newer versions of Java (e.g. 11)
  * Modify the rc file to allow the version of Java to be used to be configured
  * Pull in changes to jvm.options that allow for newer versions of Java
  * Fix a type in pkg-message

  PR:		239972
  Approved by:	maintainer timeout
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/textproc/elasticsearch6/Makefile
  head/textproc/elasticsearch6/distinfo
  head/textproc/elasticsearch6/files/elasticsearch.in
  head/textproc/elasticsearch6/files/patch-config_jvm.options
  head/textproc/elasticsearch6/files/pkg-message.in